## org.eclipse.emf.ecore.change
Interface ChangePackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  ChangePackageImpl

    public interface ChangePackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `ChangeFactory`

Nested Class Summary
`static interface` `ChangePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `CHANGE_DESCRIPTION` The meta object id for the '`Description`' class
`static int` `CHANGE_DESCRIPTION__OBJECT_CHANGES` The feature id for the 'Object Changes' map
`static int` `CHANGE_DESCRIPTION__OBJECTS_TO_ATTACH` The feature id for the 'Objects To Attach' containment reference list
`static int` `CHANGE_DESCRIPTION__OBJECTS_TO_DETACH` The feature id for the 'Objects To Detach' reference list
`static int` `CHANGE_DESCRIPTION__RESOURCE_CHANGES` The feature id for the 'Resource Changes' containment reference list
`static int` `CHANGE_DESCRIPTION_FEATURE_COUNT` The number of structural features of the 'Description' class
`static int` `CHANGE_KIND` The meta object id for the '`Kind`' enum
`static ChangePackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `EOBJECT_TO_CHANGES_MAP_ENTRY` The meta object id for the '`EObject To Changes Map Entry`' class
`static int` `EOBJECT_TO_CHANGES_MAP_ENTRY__KEY` The feature id for the 'Key' reference
`static int` `EOBJECT_TO_CHANGES_MAP_ENTRY__VALUE` The feature id for the 'Value' containment reference list
`static int` `EOBJECT_TO_CHANGES_MAP_ENTRY_FEATURE_COUNT` The number of structural features of the 'EObject To Changes Map Entry' class
`static int` `FEATURE_CHANGE` The meta object id for the '`Feature Change`' class
`static int` `FEATURE_CHANGE__DATA_VALUE` The feature id for the 'Data Value' attribute
`static int` `FEATURE_CHANGE__FEATURE` The feature id for the 'Feature' reference
`static int` `FEATURE_CHANGE__FEATURE_NAME` The feature id for the 'Feature Name' attribute
`static int` `FEATURE_CHANGE__LIST_CHANGES` The feature id for the 'List Changes' containment reference list
`static int` `FEATURE_CHANGE__REFERENCE_VALUE` The feature id for the 'Reference Value' reference
`static int` `FEATURE_CHANGE__SET` The feature id for the 'Set' attribute
`static int` `FEATURE_CHANGE__VALUE` The feature id for the 'Value' attribute
`static int` `FEATURE_CHANGE_FEATURE_COUNT` The number of structural features of the 'Feature Change' class
`static int` `FEATURE_MAP_ENTRY` The meta object id for the '`Feature Map Entry`' class
`static int` `FEATURE_MAP_ENTRY__DATA_VALUE` The feature id for the 'Data Value' attribute
`static int` `FEATURE_MAP_ENTRY__FEATURE` The feature id for the 'Feature' reference
`static int` `FEATURE_MAP_ENTRY__FEATURE_NAME` The feature id for the 'Feature Name' attribute
`static int` `FEATURE_MAP_ENTRY__REFERENCE_VALUE` The feature id for the 'Reference Value' reference
`static int` `FEATURE_MAP_ENTRY__VALUE` The feature id for the 'Value' attribute
`static int` `FEATURE_MAP_ENTRY_FEATURE_COUNT` The number of structural features of the 'Feature Map Entry' class
`static int` `LIST_CHANGE` The meta object id for the '`List Change`' class
`static int` `LIST_CHANGE__DATA_VALUES` The feature id for the 'Data Values' attribute list
`static int` `LIST_CHANGE__FEATURE` The feature id for the 'Feature' reference
`static int` `LIST_CHANGE__FEATURE_MAP_ENTRY_VALUES` The feature id for the 'Feature Map Entry Values' containment reference list
`static int` `LIST_CHANGE__INDEX` The feature id for the 'Index' attribute
`static int` `LIST_CHANGE__KIND` The feature id for the 'Kind' attribute
`static int` `LIST_CHANGE__MOVE_TO_INDEX` The feature id for the 'Move To Index' attribute
`static int` `LIST_CHANGE__REFERENCE_VALUES` The feature id for the 'Reference Values' reference list
`static int` `LIST_CHANGE__VALUES` The feature id for the 'Values' attribute list
`static int` `LIST_CHANGE_FEATURE_COUNT` The number of structural features of the 'List Change' class
`static int` `RESOURCE_CHANGE` The meta object id for the '`Resource Change`' class
`static int` `RESOURCE_CHANGE__LIST_CHANGES` The feature id for the 'List Changes' containment reference list
`static int` `RESOURCE_CHANGE__RESOURCE` The feature id for the 'Resource' attribute
`static int` `RESOURCE_CHANGE__RESOURCE_URI` The feature id for the 'Resource URI' attribute
`static int` `RESOURCE_CHANGE__VALUE` The feature id for the 'Value' attribute
`static int` `RESOURCE_CHANGE_FEATURE_COUNT` The number of structural features of the 'Resource Change' class

Method Summary
`EReference` `getChangeDescription_ObjectChanges()` Returns the meta object for the map '`Object Changes`'
`EReference` `getChangeDescription_ObjectsToAttach()` Returns the meta object for the containment reference list '`Objects To Attach`'
`EReference` `getChangeDescription_ObjectsToDetach()` Returns the meta object for the reference list '`Objects To Detach`'
`EReference` `getChangeDescription_ResourceChanges()` Returns the meta object for the containment reference list '`Resource Changes`'
`EClass` `getChangeDescription()` Returns the meta object for class '`Description`'
`ChangeFactory` `getChangeFactory()` Returns the factory that creates the instances of the model
`EEnum` `getChangeKind()` Returns the meta object for enum '`Kind`'
`EReference` `getEObjectToChangesMapEntry_Key()` Returns the meta object for the reference '`Key`'
`EReference` `getEObjectToChangesMapEntry_Value()` Returns the meta object for the containment reference list '`Value`'
`EClass` `getEObjectToChangesMapEntry()` Returns the meta object for class '`EObject To Changes Map Entry`'
`EAttribute` `getFeatureChange_DataValue()` Returns the meta object for the attribute '`Data Value`'
`EReference` `getFeatureChange_Feature()` Returns the meta object for the reference '`Feature`'
`EAttribute` `getFeatureChange_FeatureName()` Returns the meta object for the attribute '`Feature Name`'
`EReference` `getFeatureChange_ListChanges()` Returns the meta object for the containment reference list '`List Changes`'
`EReference` `getFeatureChange_ReferenceValue()` Returns the meta object for the reference '`Reference Value`'
`EAttribute` `getFeatureChange_Set()` Returns the meta object for the attribute '`Set`'
`EAttribute` `getFeatureChange_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getFeatureChange()` Returns the meta object for class '`Feature Change`'
`EAttribute` `getFeatureMapEntry_DataValue()` Returns the meta object for the attribute '`Data Value`'
`EReference` `getFeatureMapEntry_Feature()` Returns the meta object for the reference '`Feature`'
`EAttribute` `getFeatureMapEntry_FeatureName()` Returns the meta object for the attribute '`Feature Name`'
`EReference` `getFeatureMapEntry_ReferenceValue()` Returns the meta object for the reference '`Reference Value`'
`EAttribute` `getFeatureMapEntry_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getFeatureMapEntry()` Returns the meta object for class '`Feature Map Entry`'
`EAttribute` `getListChange_DataValues()` Returns the meta object for the attribute list '`Data Values`'
`EReference` `getListChange_Feature()` Returns the meta object for the reference '`Feature`'
`EReference` `getListChange_FeatureMapEntryValues()` Returns the meta object for the containment reference list '`Feature Map Entry Values`'
`EAttribute` `getListChange_Index()` Returns the meta object for the attribute '`Index`'
`EAttribute` `getListChange_Kind()` Returns the meta object for the attribute '`Kind`'
`EAttribute` `getListChange_MoveToIndex()` Returns the meta object for the attribute '`Move To Index`'
`EReference` `getListChange_ReferenceValues()` Returns the meta object for the reference list '`Reference Values`'
`EAttribute` `getListChange_Values()` Returns the meta object for the attribute list '`Values`'
`EClass` `getListChange()` Returns the meta object for class '`List Change`'
`EReference` `getResourceChange_ListChanges()` Returns the meta object for the containment reference list '`List Changes`'
`EAttribute` `getResourceChange_Resource()` Returns the meta object for the attribute '`Resource`'
`EAttribute` `getResourceChange_ResourceURI()` Returns the meta object for the attribute '`Resource URI`'
`EAttribute` `getResourceChange_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getResourceChange()` Returns the meta object for class '`Resource Change`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final ChangePackage eINSTANCE

  The singleton instance of the package.

### CHANGE_DESCRIPTION

    static final int CHANGE_DESCRIPTION

  The meta object id for the '`Description`' class.

  See Also:
    `ChangeDescriptionImpl`, `ChangePackageImpl.getChangeDescription()`, Constant Field Values

### CHANGE_DESCRIPTION__OBJECT_CHANGES

    static final int CHANGE_DESCRIPTION__OBJECT_CHANGES

  The feature id for the 'Object Changes' map.

  See Also:
    Constant Field Values

### CHANGE_DESCRIPTION__OBJECTS_TO_DETACH

    static final int CHANGE_DESCRIPTION__OBJECTS_TO_DETACH

  The feature id for the 'Objects To Detach' reference list.

  See Also:
    Constant Field Values

### CHANGE_DESCRIPTION__OBJECTS_TO_ATTACH

    static final int CHANGE_DESCRIPTION__OBJECTS_TO_ATTACH

  The feature id for the 'Objects To Attach' containment reference list.

  See Also:
    Constant Field Values

### CHANGE_DESCRIPTION__RESOURCE_CHANGES

    static final int CHANGE_DESCRIPTION__RESOURCE_CHANGES

  The feature id for the 'Resource Changes' containment reference list.

  See Also:
    Constant Field Values

### CHANGE_DESCRIPTION_FEATURE_COUNT

    static final int CHANGE_DESCRIPTION_FEATURE_COUNT

  The number of structural features of the 'Description' class.

  See Also:
    Constant Field Values

### EOBJECT_TO_CHANGES_MAP_ENTRY

    static final int EOBJECT_TO_CHANGES_MAP_ENTRY

  The meta object id for the '`EObject To Changes Map Entry`' class.

  See Also:
    `EObjectToChangesMapEntryImpl`, `ChangePackageImpl.getEObjectToChangesMapEntry()`, Constant Field Values

### EOBJECT_TO_CHANGES_MAP_ENTRY__KEY

    static final int EOBJECT_TO_CHANGES_MAP_ENTRY__KEY

  The feature id for the 'Key' reference.

  See Also:
    Constant Field Values

### EOBJECT_TO_CHANGES_MAP_ENTRY__VALUE

    static final int EOBJECT_TO_CHANGES_MAP_ENTRY__VALUE

  The feature id for the 'Value' containment reference list.

  See Also:
    Constant Field Values

### EOBJECT_TO_CHANGES_MAP_ENTRY_FEATURE_COUNT

    static final int EOBJECT_TO_CHANGES_MAP_ENTRY_FEATURE_COUNT

  The number of structural features of the 'EObject To Changes Map Entry' class.

  See Also:
    Constant Field Values

### FEATURE_CHANGE

    static final int FEATURE_CHANGE

  The meta object id for the '`Feature Change`' class.

  See Also:
    `FeatureChangeImpl`, `ChangePackageImpl.getFeatureChange()`, Constant Field Values

### FEATURE_CHANGE__FEATURE_NAME

    static final int FEATURE_CHANGE__FEATURE_NAME

  The feature id for the 'Feature Name' attribute.

  See Also:
    Constant Field Values

### FEATURE_CHANGE__DATA_VALUE

    static final int FEATURE_CHANGE__DATA_VALUE

  The feature id for the 'Data Value' attribute.

  See Also:
    Constant Field Values

### FEATURE_CHANGE__SET

    static final int FEATURE_CHANGE__SET

  The feature id for the 'Set' attribute.

  See Also:
    Constant Field Values

### FEATURE_CHANGE__VALUE

    static final int FEATURE_CHANGE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### FEATURE_CHANGE__FEATURE

    static final int FEATURE_CHANGE__FEATURE

  The feature id for the 'Feature' reference.

  See Also:
    Constant Field Values

### FEATURE_CHANGE__REFERENCE_VALUE

    static final int FEATURE_CHANGE__REFERENCE_VALUE

  The feature id for the 'Reference Value' reference.

  See Also:
    Constant Field Values

### FEATURE_CHANGE__LIST_CHANGES

    static final int FEATURE_CHANGE__LIST_CHANGES

  The feature id for the 'List Changes' containment reference list.

  See Also:
    Constant Field Values

### FEATURE_CHANGE_FEATURE_COUNT

    static final int FEATURE_CHANGE_FEATURE_COUNT

  The number of structural features of the 'Feature Change' class.

  See Also:
    Constant Field Values

### LIST_CHANGE

    static final int LIST_CHANGE

  The meta object id for the '`List Change`' class.

  See Also:
    `ListChangeImpl`, `ChangePackageImpl.getListChange()`, Constant Field Values

### LIST_CHANGE__KIND

    static final int LIST_CHANGE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### LIST_CHANGE__DATA_VALUES

    static final int LIST_CHANGE__DATA_VALUES

  The feature id for the 'Data Values' attribute list.

  See Also:
    Constant Field Values

### LIST_CHANGE__INDEX

    static final int LIST_CHANGE__INDEX

  The feature id for the 'Index' attribute.

  See Also:
    Constant Field Values

### LIST_CHANGE__MOVE_TO_INDEX

    static final int LIST_CHANGE__MOVE_TO_INDEX

  The feature id for the 'Move To Index' attribute.

  See Also:
    Constant Field Values

### LIST_CHANGE__VALUES

    static final int LIST_CHANGE__VALUES

  The feature id for the 'Values' attribute list.

  See Also:
    Constant Field Values

### LIST_CHANGE__REFERENCE_VALUES

    static final int LIST_CHANGE__REFERENCE_VALUES

  The feature id for the 'Reference Values' reference list.

  See Also:
    Constant Field Values

### LIST_CHANGE__FEATURE

    static final int LIST_CHANGE__FEATURE

  The feature id for the 'Feature' reference.

  See Also:
    Constant Field Values

### LIST_CHANGE__FEATURE_MAP_ENTRY_VALUES

    static final int LIST_CHANGE__FEATURE_MAP_ENTRY_VALUES

  The feature id for the 'Feature Map Entry Values' containment reference list.

  See Also:
    Constant Field Values

### LIST_CHANGE_FEATURE_COUNT

    static final int LIST_CHANGE_FEATURE_COUNT

  The number of structural features of the 'List Change' class.

  See Also:
    Constant Field Values

### RESOURCE_CHANGE

    static final int RESOURCE_CHANGE

  The meta object id for the '`Resource Change`' class.

  See Also:
    `ResourceChangeImpl`, `ChangePackageImpl.getResourceChange()`, Constant Field Values

### RESOURCE_CHANGE__RESOURCE_URI

    static final int RESOURCE_CHANGE__RESOURCE_URI

  The feature id for the 'Resource URI' attribute.

  See Also:
    Constant Field Values

### RESOURCE_CHANGE__RESOURCE

    static final int RESOURCE_CHANGE__RESOURCE

  The feature id for the 'Resource' attribute.

  See Also:
    Constant Field Values

### RESOURCE_CHANGE__VALUE

    static final int RESOURCE_CHANGE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### RESOURCE_CHANGE__LIST_CHANGES

    static final int RESOURCE_CHANGE__LIST_CHANGES

  The feature id for the 'List Changes' containment reference list.

  See Also:
    Constant Field Values

### RESOURCE_CHANGE_FEATURE_COUNT

    static final int RESOURCE_CHANGE_FEATURE_COUNT

  The number of structural features of the 'Resource Change' class.

  See Also:
    Constant Field Values

### FEATURE_MAP_ENTRY

    static final int FEATURE_MAP_ENTRY

  The meta object id for the '`Feature Map Entry`' class.

  See Also:
    `FeatureMapEntryImpl`, `ChangePackageImpl.getFeatureMapEntry()`, Constant Field Values

### FEATURE_MAP_ENTRY__FEATURE_NAME

    static final int FEATURE_MAP_ENTRY__FEATURE_NAME

  The feature id for the 'Feature Name' attribute.

  See Also:
    Constant Field Values

### FEATURE_MAP_ENTRY__DATA_VALUE

    static final int FEATURE_MAP_ENTRY__DATA_VALUE

  The feature id for the 'Data Value' attribute.

  See Also:
    Constant Field Values

### FEATURE_MAP_ENTRY__VALUE

    static final int FEATURE_MAP_ENTRY__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### FEATURE_MAP_ENTRY__FEATURE

    static final int FEATURE_MAP_ENTRY__FEATURE

  The feature id for the 'Feature' reference.

  See Also:
    Constant Field Values

### FEATURE_MAP_ENTRY__REFERENCE_VALUE

    static final int FEATURE_MAP_ENTRY__REFERENCE_VALUE

  The feature id for the 'Reference Value' reference.

  See Also:
    Constant Field Values

### FEATURE_MAP_ENTRY_FEATURE_COUNT

    static final int FEATURE_MAP_ENTRY_FEATURE_COUNT

  The number of structural features of the 'Feature Map Entry' class.

  See Also:
    Constant Field Values

### CHANGE_KIND

    static final int CHANGE_KIND

  The meta object id for the '`Kind`' enum.

  See Also:
    `ChangeKind`, `ChangePackageImpl.getChangeKind()`, Constant Field Values

Method Detail

### getChangeDescription

    EClass getChangeDescription()

  Returns the meta object for class '`Description`'.

  Returns:
    the meta object for class 'Description'.
  See Also:
    `ChangeDescription`

### getChangeDescription_ObjectChanges

    EReference getChangeDescription_ObjectChanges()

  Returns the meta object for the map '`Object Changes`'.

  Returns:
    the meta object for the map 'Object Changes'.
  See Also:
    `ChangeDescription.getObjectChanges()`, `getChangeDescription()`

### getChangeDescription_ObjectsToDetach

    EReference getChangeDescription_ObjectsToDetach()

  Returns the meta object for the reference list '`Objects To Detach`'.

  Returns:
    the meta object for the reference list 'Objects To Detach'.
  See Also:
    `ChangeDescription.getObjectsToDetach()`, `getChangeDescription()`

### getChangeDescription_ObjectsToAttach

    EReference getChangeDescription_ObjectsToAttach()

  Returns the meta object for the containment reference list '`Objects To Attach`'.

  Returns:
    the meta object for the containment reference list 'Objects To Attach'.
  See Also:
    `ChangeDescription.getObjectsToAttach()`, `getChangeDescription()`

### getChangeDescription_ResourceChanges

    EReference getChangeDescription_ResourceChanges()

  Returns the meta object for the containment reference list '`Resource Changes`'.

  Returns:
    the meta object for the containment reference list 'Resource Changes'.
  See Also:
    `ChangeDescription.getResourceChanges()`, `getChangeDescription()`

### getEObjectToChangesMapEntry

    EClass getEObjectToChangesMapEntry()

  Returns the meta object for class '`EObject To Changes Map Entry`'.

  Returns:
    the meta object for class 'EObject To Changes Map Entry'.
  See Also:
    `Map.Entry`

### getEObjectToChangesMapEntry_Key

    EReference getEObjectToChangesMapEntry_Key()

  Returns the meta object for the reference '`Key`'.

  Returns:
    the meta object for the reference 'Key'.
  See Also:
    `Map.Entry`, `getEObjectToChangesMapEntry()`

### getEObjectToChangesMapEntry_Value

    EReference getEObjectToChangesMapEntry_Value()

  Returns the meta object for the containment reference list '`Value`'.

  Returns:
    the meta object for the containment reference list 'Value'.
  See Also:
    `Map.Entry`, `getEObjectToChangesMapEntry()`

### getFeatureChange

    EClass getFeatureChange()

  Returns the meta object for class '`Feature Change`'.

  Returns:
    the meta object for class 'Feature Change'.
  See Also:
    `FeatureChange`

### getFeatureChange_FeatureName

    EAttribute getFeatureChange_FeatureName()

  Returns the meta object for the attribute '`Feature Name`'.

  Returns:
    the meta object for the attribute 'Feature Name'.
  See Also:
    `FeatureChange.getFeatureName()`, `getFeatureChange()`

### getFeatureChange_DataValue

    EAttribute getFeatureChange_DataValue()

  Returns the meta object for the attribute '`Data Value`'.

  Returns:
    the meta object for the attribute 'Data Value'.
  See Also:
    `FeatureChange.getDataValue()`, `getFeatureChange()`

### getFeatureChange_Set

    EAttribute getFeatureChange_Set()

  Returns the meta object for the attribute '`Set`'.

  Returns:
    the meta object for the attribute 'Set'.
  See Also:
    `FeatureChange.isSet()`, `getFeatureChange()`

### getFeatureChange_Value

    EAttribute getFeatureChange_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `FeatureChange.getValue()`, `getFeatureChange()`

### getFeatureChange_Feature

    EReference getFeatureChange_Feature()

  Returns the meta object for the reference '`Feature`'.

  Returns:
    the meta object for the reference 'Feature'.
  See Also:
    `FeatureChange.getFeature()`, `getFeatureChange()`

### getFeatureChange_ReferenceValue

    EReference getFeatureChange_ReferenceValue()

  Returns the meta object for the reference '`Reference Value`'.

  Returns:
    the meta object for the reference 'Reference Value'.
  See Also:
    `FeatureChange.getReferenceValue()`, `getFeatureChange()`

### getFeatureChange_ListChanges

    EReference getFeatureChange_ListChanges()

  Returns the meta object for the containment reference list '`List Changes`'.

  Returns:
    the meta object for the containment reference list 'List Changes'.
  See Also:
    `FeatureChange.getListChanges()`, `getFeatureChange()`

### getListChange

    EClass getListChange()

  Returns the meta object for class '`List Change`'.

  Returns:
    the meta object for class 'List Change'.
  See Also:
    `ListChange`

### getListChange_Kind

    EAttribute getListChange_Kind()

  Returns the meta object for the attribute '`Kind`'.

  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `ListChange.getKind()`, `getListChange()`

### getListChange_DataValues

    EAttribute getListChange_DataValues()

  Returns the meta object for the attribute list '`Data Values`'.

  Returns:
    the meta object for the attribute list 'Data Values'.
  See Also:
    `ListChange.getDataValues()`, `getListChange()`

### getListChange_Index

    EAttribute getListChange_Index()

  Returns the meta object for the attribute '`Index`'.

  Returns:
    the meta object for the attribute 'Index'.
  See Also:
    `ListChange.getIndex()`, `getListChange()`

### getListChange_MoveToIndex

    EAttribute getListChange_MoveToIndex()

  Returns the meta object for the attribute '`Move To Index`'.

  Returns:
    the meta object for the attribute 'Move To Index'.
  See Also:
    `ListChange.getMoveToIndex()`, `getListChange()`

### getListChange_Values

    EAttribute getListChange_Values()

  Returns the meta object for the attribute list '`Values`'.

  Returns:
    the meta object for the attribute list 'Values'.
  See Also:
    `ListChange.getValues()`, `getListChange()`

### getListChange_ReferenceValues

    EReference getListChange_ReferenceValues()

  Returns the meta object for the reference list '`Reference Values`'.

  Returns:
    the meta object for the reference list 'Reference Values'.
  See Also:
    `ListChange.getReferenceValues()`, `getListChange()`

### getListChange_Feature

    EReference getListChange_Feature()

  Returns the meta object for the reference '`Feature`'.

  Returns:
    the meta object for the reference 'Feature'.
  See Also:
    `ListChange.getFeature()`, `getListChange()`

### getListChange_FeatureMapEntryValues

    EReference getListChange_FeatureMapEntryValues()

  Returns the meta object for the containment reference list '`Feature Map Entry Values`'.

  Returns:
    the meta object for the containment reference list 'Feature Map Entry Values'.
  See Also:
    `ListChange.getFeatureMapEntryValues()`, `getListChange()`

### getResourceChange

    EClass getResourceChange()

  Returns the meta object for class '`Resource Change`'.

  Returns:
    the meta object for class 'Resource Change'.
  See Also:
    `ResourceChange`

### getResourceChange_ResourceURI

    EAttribute getResourceChange_ResourceURI()

  Returns the meta object for the attribute '`Resource URI`'.

  Returns:
    the meta object for the attribute 'Resource URI'.
  See Also:
    `ResourceChange.getResourceURI()`, `getResourceChange()`

### getResourceChange_Resource

    EAttribute getResourceChange_Resource()

  Returns the meta object for the attribute '`Resource`'.

  Returns:
    the meta object for the attribute 'Resource'.
  See Also:
    `ResourceChange.getResource()`, `getResourceChange()`

### getResourceChange_Value

    EAttribute getResourceChange_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ResourceChange.getValue()`, `getResourceChange()`

### getResourceChange_ListChanges

    EReference getResourceChange_ListChanges()

  Returns the meta object for the containment reference list '`List Changes`'.

  Returns:
    the meta object for the containment reference list 'List Changes'.
  See Also:
    `ResourceChange.getListChanges()`, `getResourceChange()`

### getFeatureMapEntry

    EClass getFeatureMapEntry()

  Returns the meta object for class '`Feature Map Entry`'.

  Returns:
    the meta object for class 'Feature Map Entry'.
  See Also:
    `FeatureMapEntry`

### getFeatureMapEntry_FeatureName

    EAttribute getFeatureMapEntry_FeatureName()

  Returns the meta object for the attribute '`Feature Name`'.

  Returns:
    the meta object for the attribute 'Feature Name'.
  See Also:
    `FeatureMapEntry.getFeatureName()`, `getFeatureMapEntry()`

### getFeatureMapEntry_DataValue

    EAttribute getFeatureMapEntry_DataValue()

  Returns the meta object for the attribute '`Data Value`'.

  Returns:
    the meta object for the attribute 'Data Value'.
  See Also:
    `FeatureMapEntry.getDataValue()`, `getFeatureMapEntry()`

### getFeatureMapEntry_Value

    EAttribute getFeatureMapEntry_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `FeatureMapEntry.getValue()`, `getFeatureMapEntry()`

### getFeatureMapEntry_Feature

    EReference getFeatureMapEntry_Feature()

  Returns the meta object for the reference '`Feature`'.

  Returns:
    the meta object for the reference 'Feature'.
  See Also:
    `FeatureMapEntry.getFeature()`, `getFeatureMapEntry()`

### getFeatureMapEntry_ReferenceValue

    EReference getFeatureMapEntry_ReferenceValue()

  Returns the meta object for the reference '`Reference Value`'.

  Returns:
    the meta object for the reference 'Reference Value'.
  See Also:
    `FeatureMapEntry.getReferenceValue()`, `getFeatureMapEntry()`

### getChangeKind

    EEnum getChangeKind()

  Returns the meta object for enum '`Kind`'.

  Returns:
    the meta object for enum 'Kind'.
  See Also:
    `ChangeKind`

### getChangeFactory

    ChangeFactory getChangeFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.